gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ColumnViewRow

Contents

- Exported types
- Methods
  - getAccessibleDescription
  - getAccessibleLabel
  - getActivatable
  - getFocusable
  - getItem
  - getPosition
  - getSelectable
  - getSelected
  - setAccessibleDescription
  - setAccessibleLabel
  - setActivatable
  - setFocusable
  - setSelectable
- Properties
  - accessibleDescription
  - accessibleLabel
  - activatable
  - focusable
  - item
  - position
  - selectable
  - selected

Description

Configures how rows are displayed in a `ColumnView`.

It is not used to set the widgets displayed in the individual cells. For that see [method`gtkColumnViewColumn`.set_factory] and [class`gtkColumnViewCell`].

Since: 4.12

Synopsis

- newtype ColumnViewRow = ColumnViewRow (ManagedPtr ColumnViewRow)
- class (GObject o, IsDescendantOf ColumnViewRow o) => IsColumnViewRow o
- toColumnViewRow :: (MonadIO m, IsColumnViewRow o) => o -> m ColumnViewRow
- columnViewRowGetAccessibleDescription :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> m Text
- columnViewRowGetAccessibleLabel :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> m Text
- columnViewRowGetActivatable :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> m Bool
- columnViewRowGetFocusable :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> m Bool
- columnViewRowGetItem :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> m (Maybe Object)
- columnViewRowGetPosition :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> m Word32
- columnViewRowGetSelectable :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> m Bool
- columnViewRowGetSelected :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> m Bool
- columnViewRowSetAccessibleDescription :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> Text -> m ()
- columnViewRowSetAccessibleLabel :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> Text -> m ()
- columnViewRowSetActivatable :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> Bool -> m ()
- columnViewRowSetFocusable :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> Bool -> m ()
- columnViewRowSetSelectable :: (HasCallStack, MonadIO m, IsColumnViewRow a) => a -> Bool -> m ()
- constructColumnViewRowAccessibleDescription :: (IsColumnViewRow o, MonadIO m) => Text -> m (GValueConstruct o)
- getColumnViewRowAccessibleDescription :: (MonadIO m, IsColumnViewRow o) => o -> m Text
- setColumnViewRowAccessibleDescription :: (MonadIO m, IsColumnViewRow o) => o -> Text -> m ()
- constructColumnViewRowAccessibleLabel :: (IsColumnViewRow o, MonadIO m) => Text -> m (GValueConstruct o)
- getColumnViewRowAccessibleLabel :: (MonadIO m, IsColumnViewRow o) => o -> m Text
- setColumnViewRowAccessibleLabel :: (MonadIO m, IsColumnViewRow o) => o -> Text -> m ()
- constructColumnViewRowActivatable :: (IsColumnViewRow o, MonadIO m) => Bool -> m (GValueConstruct o)
- getColumnViewRowActivatable :: (MonadIO m, IsColumnViewRow o) => o -> m Bool
- setColumnViewRowActivatable :: (MonadIO m, IsColumnViewRow o) => o -> Bool -> m ()
- constructColumnViewRowFocusable :: (IsColumnViewRow o, MonadIO m) => Bool -> m (GValueConstruct o)
- getColumnViewRowFocusable :: (MonadIO m, IsColumnViewRow o) => o -> m Bool
- setColumnViewRowFocusable :: (MonadIO m, IsColumnViewRow o) => o -> Bool -> m ()
- getColumnViewRowItem :: (MonadIO m, IsColumnViewRow o) => o -> m (Maybe Object)
- getColumnViewRowPosition :: (MonadIO m, IsColumnViewRow o) => o -> m Word32
- constructColumnViewRowSelectable :: (IsColumnViewRow o, MonadIO m) => Bool -> m (GValueConstruct o)
- getColumnViewRowSelectable :: (MonadIO m, IsColumnViewRow o) => o -> m Bool
- setColumnViewRowSelectable :: (MonadIO m, IsColumnViewRow o) => o -> Bool -> m ()
- getColumnViewRowSelected :: (MonadIO m, IsColumnViewRow o) => o -> m Bool

# Exported types

newtype ColumnViewRow Source #

Memory-managed wrapper type.

Constructors

ColumnViewRow (ManagedPtr ColumnViewRow) |

#### Instances

Instances details

Eq ColumnViewRow Source # |
Instance details Defined in GI.Gtk.Objects.ColumnViewRow Methods (==) :: ColumnViewRow -> ColumnViewRow -> Bool Source # (/=) :: ColumnViewRow -> ColumnViewRow -> Bool Source #
GObject ColumnViewRow Source # |
Instance details Defined in GI.Gtk.Objects.ColumnViewRow
ManagedPtrNewtype ColumnViewRow Source # |
Instance details Defined in GI.Gtk.Objects.ColumnViewRow Methods toManagedPtr :: ColumnViewRow -> ManagedPtr ColumnViewRow Source #
TypedObject ColumnViewRow Source # |
Instance details Defined in GI.Gtk.Objects.ColumnViewRow Methods glibType :: IO GType Source #
HasParentTypes ColumnViewRow Source # |
Instance details Defined in GI.Gtk.Objects.ColumnViewRow
IsGValue (Maybe ColumnViewRow) Source # | Convert `ColumnViewRow` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ColumnViewRow Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ColumnViewRow -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ColumnViewRow) Source #
type ParentTypes ColumnViewRow Source # |
Instance details Defined in GI.Gtk.Objects.ColumnViewRow type ParentTypes ColumnViewRow = '[Object]

class (GObject o, IsDescendantOf ColumnViewRow o) => IsColumnViewRow o Source #

Type class for types which can be safely cast to `ColumnViewRow`, for instance with `toColumnViewRow`.

#### Instances

Instances details

(GObject o, IsDescendantOf ColumnViewRow o) => IsColumnViewRow o Source # |
Instance details Defined in GI.Gtk.Objects.ColumnViewRow

toColumnViewRow :: (MonadIO m, IsColumnViewRow o) => o -> m ColumnViewRow Source #

Cast to `ColumnViewRow`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleDescription, getAccessibleLabel, getActivatable, getData, getFocusable, getItem, getPosition, getProperty, getQdata, getSelectable, getSelected.

#### Setters

setAccessibleDescription, setAccessibleLabel, setActivatable, setData, setDataFull, setFocusable, setProperty, setSelectable.

## getAccessibleDescription

columnViewRowGetAccessibleDescription Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> m Text | Returns: the accessible description

Gets the accessible description of `self`.

Since: 4.12

## getAccessibleLabel

columnViewRowGetAccessibleLabel Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> m Text | Returns: the accessible label

Gets the accessible label of `self`.

Since: 4.12

## getActivatable

columnViewRowGetActivatable Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> m Bool | Returns: `True` if the row is activatable

Checks if the row has been set to be activatable via `columnViewRowSetActivatable`.

Since: 4.12

## getFocusable

columnViewRowGetFocusable Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> m Bool | Returns: `True` if the row is focusable

Checks if a row item has been set to be focusable via `columnViewRowSetFocusable`.

Since: 4.12

## getItem

columnViewRowGetItem Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> m (Maybe Object) | Returns: The item displayed

Gets the model item that associated with `self`.

If `self` is unbound, this function returns `Nothing`.

Since: 4.12

## getPosition

columnViewRowGetPosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> m Word32 | Returns: The position of this row

Gets the position in the model that `self` currently displays.

If `self` is unbound, `INVALID_LIST_POSITION` is returned.

Since: 4.12

## getSelectable

columnViewRowGetSelectable Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> m Bool | Returns: `True` if the row is selectable

Checks if the row has been set to be selectable via `columnViewRowSetSelectable`.

Do not confuse this function with `columnViewRowGetSelected`.

Since: 4.12

## getSelected

columnViewRowGetSelected Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> m Bool | Returns: `True` if the item is selected.

Checks if the item is selected that this row corresponds to.

The selected state is maintained by the list widget and its model and cannot be set otherwise.

Since: 4.12

## setAccessibleDescription

columnViewRowSetAccessibleDescription Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> Text | `description`: the description
-> m () |

Sets the accessible description for the row, which may be used by e.g. screen readers.

Since: 4.12

## setAccessibleLabel

columnViewRowSetAccessibleLabel Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> Text | `label`: the label
-> m () |

Sets the accessible label for the row, which may be used by e.g. screen readers.

Since: 4.12

## setActivatable

columnViewRowSetActivatable Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> Bool | `activatable`: if the row should be activatable
-> m () |

Sets `self` to be activatable.

If a row is activatable, double-clicking on the row, using the Return key or calling `widgetActivate` will activate the row. Activating instructs the containing columnview to emit the ColumnView::activate signal.

By default, row are activatable.

Since: 4.12

## setFocusable

columnViewRowSetFocusable Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> Bool | `focusable`: if the row should be focusable
-> m () |

Sets `self` to be focusable.

If a row is focusable, it can be focused using the keyboard. This works similar to `widgetSetFocusable`.

Note that if row are not focusable, the contents of cells can still be focused if they are focusable.

By default, rows are focusable.

Since: 4.12

## setSelectable

columnViewRowSetSelectable Source #

Arguments

:: (HasCallStack, MonadIO m, IsColumnViewRow a) |
=> a | `self`: a `GtkColumnViewRow`
-> Bool | `selectable`: if the row should be selectable
-> m () |

Sets `self` to be selectable.

If a row is selectable, clicking on the row or using the keyboard will try to select or unselect the row. Whether this succeeds is up to the model to determine, as it is managing the selected state.

Note that this means that making a row non-selectable has no influence on the selected state at all. A non-selectable row may still be selected.

By default, rows are selectable.

Since: 4.12

# Properties

## accessibleDescription

The accessible description to set on the row.

Since: 4.12

constructColumnViewRowAccessibleDescription :: (IsColumnViewRow o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`accessible-description`” property. This is rarely needed directly, but it is used by `new`.

getColumnViewRowAccessibleDescription :: (MonadIO m, IsColumnViewRow o) => o -> m Text Source #

Get the value of the “`accessible-description`” property. When overloading is enabled, this is equivalent to

    get columnViewRow #accessibleDescription

setColumnViewRowAccessibleDescription :: (MonadIO m, IsColumnViewRow o) => o -> Text -> m () Source #

Set the value of the “`accessible-description`” property. When overloading is enabled, this is equivalent to

    set columnViewRow [ #accessibleDescription := value ]

## accessibleLabel

The accessible label to set on the row.

Since: 4.12

constructColumnViewRowAccessibleLabel :: (IsColumnViewRow o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`accessible-label`” property. This is rarely needed directly, but it is used by `new`.

getColumnViewRowAccessibleLabel :: (MonadIO m, IsColumnViewRow o) => o -> m Text Source #

Get the value of the “`accessible-label`” property. When overloading is enabled, this is equivalent to

    get columnViewRow #accessibleLabel

setColumnViewRowAccessibleLabel :: (MonadIO m, IsColumnViewRow o) => o -> Text -> m () Source #

Set the value of the “`accessible-label`” property. When overloading is enabled, this is equivalent to

    set columnViewRow [ #accessibleLabel := value ]

## activatable

If the row can be activated by the user.

Since: 4.12

constructColumnViewRowActivatable :: (IsColumnViewRow o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`activatable`” property. This is rarely needed directly, but it is used by `new`.

getColumnViewRowActivatable :: (MonadIO m, IsColumnViewRow o) => o -> m Bool Source #

Get the value of the “`activatable`” property. When overloading is enabled, this is equivalent to

    get columnViewRow #activatable

setColumnViewRowActivatable :: (MonadIO m, IsColumnViewRow o) => o -> Bool -> m () Source #

Set the value of the “`activatable`” property. When overloading is enabled, this is equivalent to

    set columnViewRow [ #activatable := value ]

## focusable

If the row can be focused with the keyboard.

Since: 4.12

constructColumnViewRowFocusable :: (IsColumnViewRow o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`focusable`” property. This is rarely needed directly, but it is used by `new`.

getColumnViewRowFocusable :: (MonadIO m, IsColumnViewRow o) => o -> m Bool Source #

Get the value of the “`focusable`” property. When overloading is enabled, this is equivalent to

    get columnViewRow #focusable

setColumnViewRowFocusable :: (MonadIO m, IsColumnViewRow o) => o -> Bool -> m () Source #

Set the value of the “`focusable`” property. When overloading is enabled, this is equivalent to

    set columnViewRow [ #focusable := value ]

## item

The item for this row.

Since: 4.12

getColumnViewRowItem :: (MonadIO m, IsColumnViewRow o) => o -> m (Maybe Object) Source #

Get the value of the “`item`” property. When overloading is enabled, this is equivalent to

    get columnViewRow #item

## position

Position of the row.

Since: 4.12

getColumnViewRowPosition :: (MonadIO m, IsColumnViewRow o) => o -> m Word32 Source #

Get the value of the “`position`” property. When overloading is enabled, this is equivalent to

    get columnViewRow #position

## selectable

If the row can be selected by the user.

Since: 4.12

constructColumnViewRowSelectable :: (IsColumnViewRow o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`selectable`” property. This is rarely needed directly, but it is used by `new`.

getColumnViewRowSelectable :: (MonadIO m, IsColumnViewRow o) => o -> m Bool Source #

Get the value of the “`selectable`” property. When overloading is enabled, this is equivalent to

    get columnViewRow #selectable

setColumnViewRowSelectable :: (MonadIO m, IsColumnViewRow o) => o -> Bool -> m () Source #

Set the value of the “`selectable`” property. When overloading is enabled, this is equivalent to

    set columnViewRow [ #selectable := value ]

## selected

If the item in the row is currently selected.

Since: 4.12

getColumnViewRowSelected :: (MonadIO m, IsColumnViewRow o) => o -> m Bool Source #

Get the value of the “`selected`” property. When overloading is enabled, this is equivalent to

    get columnViewRow #selected